"""
Script pour lire un fichier contenant des informations sur des films et sortir la liste des acteurs qui ont joué avec un acteur donné en entrée par l'utilisateur.
Entrée
Fichier movie_metadata2.csv
Fonctionnement
**Veuillez entrer le nom d'un acteur ou d'une actrice :** Natalie Portman
Natalie Portman a joué avec les 17 personnes suivantes :
Chris Hemsworth
[...]
Zooey Deschanel
**Veuillez entrer le nom d'un acteur ou d'une actrice :** Nataly
Portman
Nom inconnu !
"""

#initialisation de la liste qui contiendra les tuples de duo d'acteurs.
act = []
#Récupération des données :
with open('input/movie_metadata2.csv', 'r', encoding='utf-8') as f:
    #on ignore la 1e ligne qui contient les informations de champ 
    f.readline()
    #lecture du fichier ligne par ligne et définition des colonnes
    for line in f:
        colonne = line.rstrip().split(';')
        #les acteurs sont placés par duo dans des tuples et ajoutés dans la liste globale 'act': 
        act.extend(((colonne[4], colonne[5]),(colonne[5], colonne[4])))
        
#Après récupération des données :
#Compréhension de dictionnaire avec en clé tous les éléments en position 0 de chaque duo (donc tous les noms des acteurs) et
#en valeur une compréhension de set imbriqué qui contient le nom du 2e acteur de chacun des duos en correspondance avec l'acteur-clé de la 1e boucle. 
dico_acteur = {act[i][0]:{act[y][1] for y in range(len(act)) if act[i][0] == act[y][0] } for i in range(len(act)) }

acteur = input("Entrez le nom d'un acteur \n").title()
#récupération des valeurs correspondantes à la clé-acteur entrée par l'utilisateur avec la fonction get, attribution d'une valeur par défaut vide (tous les acteurs ont un duo donc une valeur).
reponse = dico_acteur.get(acteur, '')
if acteur in dico_acteur:
    #Affichage des valeurs : la liste est triée par ordre alphabétique puis affichée nom par nom avec un retour de chariot. 
    print(f'{acteur} a joué avec {len(reponse)} personnes :\n{chr(10).join(sorted(reponse))}')
else:
    print("Nom inconnu")