
import csv
import re
import pandas as pd
PARAMETERS = {
    'TEMPERATURE' : 0.0,
    "DATAPATH" : "data_train\stgdir_baseline_test.csv",
    'MAX_TOK' : 20,
    'labelCol': 'label'
    }
AS13_df = pd.read_table(PARAMETERS['DATAPATH'], sep=',', dtype={'description' : 'object', 'labelGeneric': 'category', })
labelCol = PARAMETERS['labelCol']
PARAMETERS['CLASS_NAMES'] = sorted(AS13_df[labelCol].unique())
print(PARAMETERS['CLASS_NAMES'])
ans = dict()
with open("data_train\stgdir_baseline_trainvalid.csv", 'r', encoding='utf-8') as f:
    reader = csv.reader(f, delimiter=',', quotechar='"', quoting=csv.QUOTE_MINIMAL)
    for row in reader: 
        for c in PARAMETERS['CLASS_NAMES']:
            if row[1] == c:
                ans[c] = [row[0]]

    

# print(ans)
for key, value in ans.items():
    print(value + ' -> '+ key)


template_one_shot_baseline = """
Put a label to the stage direction using one of the categories listed below: 
{cat}
Here are examples of stage directions with their correct label:
Aux spectateurs. -> toward
Mode de 1809. -> dress
Nérine sort. -> exit
AIR : Des Folies d'Espagne. -> title
On entend des tambours. -> noise
Le théâtre représente une forêt agréable. -> decor
Les Grivois choisissent chacun la leur. -> get
Montval, lit. -> read
Un Gentilhomme entre. -> entrance
Il embrasse une seconde fois Monsieur Mathieu. -> kiss
Chez la maîtresse. Le vol est consommé. Charpentier allant et venant, inquiet, troublé du moindre mot, du moindre bruit. Terreur et remords. Retour des courses. Dîner. On chante et l'on boit. Charpentier, épuisé, déjà malade, s'asseoit à l'écart. Les figurations lui apparaissent. Arrivée de la mère. Tout le monde se retire. -> narration
Elle s'approche du fauteuil de gauche et elle indique celui de droite. -> closer
Baissant les yeux. -> watch
Un Paysan et une Paysanne dansant. -> danse
Il écrit sur des Tablettes. -> write
On entend un bruit de musettes et Roland continue. -> music
Lui voulant ôter son épée. -> fight
Nicandre et Phorbas alternativement. -> explicit
Il remet sa montre. -> hide
Il lui baille des lettres. -> give
Avertissement pour les Acteurs. Les Acteurs sont placés au théâtre, comme ils le sont en titre de chaque scène ; le premier, dont le nom est écrit, a son interlocuteur à sa gauche, ainsi des autres. -> location
L'Envie continue. -> sing
Tirant son épée. -> threat
Ils s'asseyent tous. -> sit
Il déploie un grand rouleau de papier. -> open
Lui faisant signe de s'en aller. -> wave
Élevant son ton. -> loud
Frappant à la porte. -> knock
Elle éclate de rire. -> laugh
Se levant, son manuscrit en main. -> stand
Silence. Au bout d'un instant. -> silence
Et il se retire d'Eraste. -> away
Il veut lui prendre la main. -> touch
En sanglotant. -> cry
D'une voix caverneuse. -> low
Il rosse le Maître. -> hit
À part, en s'en allant. -> aparte
Il boit. -> drink
Il s'arrête. -> stop
Puis se jetant à genoux devant son père. -> kneel
Le Choeur répète le dernier vers. -> bis
Il appelle l'Apothicaire et lui parle. -> call
[ENSEMBLE] -> together
Il montre un parchemin sur la table. -> SHOW

This is the stage direction you have to classify: {stgdir}
You only have to give the label, no explanation or notes are needed.
Remember, you can only use one of the labels listed above."""